Namespace
roundcube
Image / Tag
roundcubemail:1.6.0-fpm-alpine
Content Digest
sha256:4f5c4ffd502ad3e0387ec35ab23cfad8610ae643d57b6cbeeb31d14714173b65
Details
Created

2023-01-31 20:39:48 UTC

Size

90.1 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.0.27.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

PHP_URL

https://www.php.net/distributions/php-8.0.27.tar.xz

PHP_VERSION

8.0.27

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.0


Layers

[#000] sha256:0c10ccf9426f4a034c81b9e1a0fa81fc5cd957d8a4e0ea545ee33f4cd59f227b - 2.97% (2.68 MB)

[#001] sha256:529c1276f7fbbfab5754449ae3db2b4a04a98af1d706770d02ddb1654a806e5e - 1.93% (1.74 MB)

[#002] sha256:9b5a372dd65c07f12bc395d2ea0e1266225dc55c9a1673efe9894a022f00e41d - 0.0% (1.21 KB)

[#003] sha256:839f3c42dc99fde076c817b954f4cc26d21c68b993eedfc6e5a5428d4b49c393 - 0.0% (222 Bytes)

[#004] sha256:2e64ce53906ab508bd275fa7bcafde4493b1ca1902b5ba1423d4804e2774c158 - 11.45% (10.3 MB)

[#005] sha256:ef69a85a102683ca4d95111b5aa3c8f8865dac7d2aeadacc3cbf776fec88d2d5 - 0.0% (497 Bytes)

[#006] sha256:0de848d85f01e6ce1d0340b119e6de58cc207a044a34857991888e6ad800e96c - 13.77% (12.4 MB)

[#007] sha256:3341c3403bd430fc418803c3531e0781118484146495cd89ca57e89b8d1a53ac - 0.0% (2.39 KB)

[#008] sha256:2490738a2d7c162a6f93a0f6a39d2bb5f9889f1ec80336c7a250154367066443 - 0.02% (18.2 KB)

[#009] sha256:3a225da220b511c84efb5383be6ffffb42bdd46baa6980d98699506fbe02befa - 0.01% (8.48 KB)

[#010] sha256:89a2cfdcd74610ecc8d81ebff150fffa149602827168520f8fe30835ad88bf43 - 5.83% (5.25 MB)

[#011] sha256:c46116717a94ce0f6a43bf4ce4927984371c8164176cb84104fe81ed34479470 - 56.97% (51.3 MB)

[#012] sha256:3dbef60aceba1380d9a2ab1e8c39f936ae3c1a5b44f39641fcb7c81229db68f9 - 0.74% (679 KB)

[#013] sha256:333571e539b7511dd076675638d43578919e856af040074ea9757a533addbe00 - 6.31% (5.69 MB)

[#014] sha256:64525ccec17c4996f3a37a81a90cc7d4271fd51d4f6d042323c26e2bb2e54d5a - 0.0% (1.63 KB)

[#015] sha256:836a9c8c48436bb7d09240aed7730dc09f46114397da0cc7016c7cb842aacd89 - 0.0% (372 Bytes)

[#016] sha256:2b18162b12bb1a9efbfc028b50bf5da13aeb936295545bc9b689c418b0dc18fb - 0.0% (1.97 KB)

[#017] sha256:3f943e08058ea0499d491887bb9eb4c12d9b1782c5ce620b4e8de0f9e5983d96 - 0.0% (146 Bytes)


History
2022-11-12 03:38:23 UTC

/bin/sh -c #(nop) ADD file:561637cbdd23fdd69f555dbc938902d79be2b123eb244d2cfd35b337878b63df in /

2022-11-12 03:38:23 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-12 08:08:28 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2022-11-12 08:08:30 UTC

/bin/sh -c apk add --no-cache ca-certificates curl tar xz openssl

2022-11-12 08:08:31 UTC

/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data

2022-11-12 08:08:32 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2022-11-12 08:08:33 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2022-11-12 08:08:34 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 08:08:35 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 08:08:36 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie

2022-11-12 08:36:20 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

2023-01-06 01:42:36 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=8.0.27

2023-01-06 01:42:37 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.0.27.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.0.27.tar.xz.asc

2023-01-06 01:42:38 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

2023-01-06 01:42:46 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps

2023-01-06 01:42:47 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2023-01-06 01:50:40 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version

2023-01-06 01:50:41 UTC

/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/

2023-01-06 01:50:41 UTC

/bin/sh -c docker-php-ext-enable sodium

2023-01-06 01:50:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2023-01-06 01:50:43 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2023-01-06 01:50:44 UTC

/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"

2023-01-06 01:50:45 UTC

/bin/sh -c #(nop) STOPSIGNAL SIGQUIT

2023-01-06 01:50:46 UTC

/bin/sh -c #(nop) EXPOSE 9000

2023-01-06 01:50:47 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2023-01-31 20:28:05 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2023-01-31 20:28:05 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en # buildkit

2023-01-31 20:39:41 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit

2023-01-31 20:39:41 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2023-01-31 20:39:41 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.0

2023-01-31 20:39:41 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2023-01-31 20:39:47 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit

2023-01-31 20:39:48 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit

2023-01-31 20:39:48 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2023-01-31 20:39:48 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh / # buildkit

2023-01-31 20:39:48 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit

2023-01-31 20:39:48 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2023-01-31 20:39:48 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

Details
Created

2023-01-31 20:38:50 UTC

Size

90.9 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.0.27.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

PHP_URL

https://www.php.net/distributions/php-8.0.27.tar.xz

PHP_VERSION

8.0.27

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.0


Layers

[#000] sha256:ca7dd9ec2225f2385955c43b2379305acd51543c28cf1d4e94522b3d94cce3ce - 2.95% (2.68 MB)

[#001] sha256:1b78b4fe0ca1ca5277d0b56997b3a74ac05ac52ff34cf9d5c6c063bd3feca07e - 1.81% (1.64 MB)

[#002] sha256:9d6040f2a28f7fd4288a87be2db7a8886104a1080402d0343e1c527c232d8963 - 0.0% (1.23 KB)

[#003] sha256:0e2e66b89284d71ee13c90182fe35d46d2461573064ae7f020aa4c22c1235e2a - 0.0% (267 Bytes)

[#004] sha256:f3bc79f449d612654f0ffea53f7ee32a6e34f655b59725facdc7397541010f40 - 11.36% (10.3 MB)

[#005] sha256:f63b5c83b03853ec64071ffd1e1424681923ba24dfc87b1b9e9e3ec0065356ea - 0.0% (500 Bytes)

[#006] sha256:9a2357a7a3522d531b71011014e14c5351fb31c10e2a770fbb2d5fea7504a700 - 13.34% (12.1 MB)

[#007] sha256:dfd367acec48bcda755a7be077f1a6e5fd7953b56625c86c9d90bd0a99637df1 - 0.0% (2.39 KB)

[#008] sha256:8e67fb67ecbd7e47d759ea43e0b21b9f95462c3c816527694cfe784a50578eaa - 0.02% (18.3 KB)

[#009] sha256:8c1bfdf4ec7068cf195bd7a16257d4a4eaccebed31e86f898350868fc87b9794 - 0.01% (8.48 KB)

[#010] sha256:fc200e045cdfa64bb36998bf70c4ed64ff9b8ba530239e213e029092d714e03e - 5.79% (5.26 MB)

[#011] sha256:26c557a176c99e3263adb899efc1afa992ec2f7ff71cb9107ffb20c5e5c9f4e4 - 57.73% (52.5 MB)

[#012] sha256:d19373ddf2b15a106fda40d4916c98394e51b5aab0fa6c79ede31e10361e26f7 - 0.73% (684 KB)

[#013] sha256:5fd5cd85f26998128c43d98a8cad7df01528fa8c0f8c4b1cd8bb51205d0f895f - 6.26% (5.69 MB)

[#014] sha256:8fd2ce0d106411428a2643e464ee1b45bc35cd403e4ebd196e4268c2a47782b8 - 0.0% (1.63 KB)

[#015] sha256:351706c100cab2f62568de69d922d17132843509f2fd4c0762c74bd52d265a47 - 0.0% (371 Bytes)

[#016] sha256:2b18162b12bb1a9efbfc028b50bf5da13aeb936295545bc9b689c418b0dc18fb - 0.0% (1.97 KB)

[#017] sha256:9c8ad58f8c08cef8b2649d0598ecc1de26b7a8e14fe541cb8fabe438618f77e4 - 0.0% (146 Bytes)


History
2022-11-12 04:19:23 UTC

/bin/sh -c #(nop) ADD file:ceeb6e8632fafc657116cbf3afbd522185a16963230b57881073dad22eb0e1a3 in /

2022-11-12 04:19:23 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-12 08:36:55 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2022-11-12 08:36:56 UTC

/bin/sh -c apk add --no-cache ca-certificates curl tar xz openssl

2022-11-12 08:36:57 UTC

/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data

2022-11-12 08:36:57 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2022-11-12 08:36:58 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2022-11-12 08:36:58 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 08:36:58 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 08:36:58 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie

2022-11-12 09:02:54 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

2023-01-06 01:29:30 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=8.0.27

2023-01-06 01:29:30 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.0.27.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.0.27.tar.xz.asc

2023-01-06 01:29:30 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

2023-01-06 01:29:37 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps

2023-01-06 01:29:38 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2023-01-06 01:37:23 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version

2023-01-06 01:37:24 UTC

/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/

2023-01-06 01:37:25 UTC

/bin/sh -c docker-php-ext-enable sodium

2023-01-06 01:37:25 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2023-01-06 01:37:25 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2023-01-06 01:37:26 UTC

/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"

2023-01-06 01:37:26 UTC

/bin/sh -c #(nop) STOPSIGNAL SIGQUIT

2023-01-06 01:37:26 UTC

/bin/sh -c #(nop) EXPOSE 9000

2023-01-06 01:37:26 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2023-01-31 20:28:05 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2023-01-31 20:28:05 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en # buildkit

2023-01-31 20:38:42 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit

2023-01-31 20:38:42 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2023-01-31 20:38:42 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.0

2023-01-31 20:38:42 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2023-01-31 20:38:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit

2023-01-31 20:38:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit

2023-01-31 20:38:50 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2023-01-31 20:38:50 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh / # buildkit

2023-01-31 20:38:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit

2023-01-31 20:38:50 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2023-01-31 20:38:50 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

Details
Created

2023-01-31 22:04:54 UTC

Size

84.8 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.0.27.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

PHP_URL

https://www.php.net/distributions/php-8.0.27.tar.xz

PHP_VERSION

8.0.27

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.0


Layers

[#000] sha256:9616ea8c1de4a90b1a50591336485e88ae5c2346e0d778bdbe69b00647bf8e39 - 2.94% (2.49 MB)

[#001] sha256:089b5ea696a25e03b2eaa2ba4c2d7ca2b161473cb9f1686ca8b9af4b714cc216 - 1.92% (1.63 MB)

[#002] sha256:148c879de0e59a35d228a53d3c70813c09859b8647217f5bdf53e6b8058daa80 - 0.0% (1.2 KB)

[#003] sha256:32b9d16af9cd3acc95ea5a8da94a040a0f63b8af95a60a4ad30aaddbab836604 - 0.0% (222 Bytes)

[#004] sha256:ecf846210a8ecda576c10d7e1e179493a574a121c4156d65c1b519b0b5d0270a - 12.17% (10.3 MB)

[#005] sha256:f65b8237d4c527d2d7737a3707b7a49c52d10d73b7424df0db4320724741bf16 - 0.0% (498 Bytes)

[#006] sha256:a660940156edbec293c27253256bdadb1572d79cfd66dd0bae56d3dc9b2c3ed9 - 13.07% (11.1 MB)

[#007] sha256:7992236647c33ad7e7786f099d2f7122db1d0ffe7f6d9cc3b0ed64f978cbbb11 - 0.0% (2.39 KB)

[#008] sha256:ef7aa622123e26da1d4b95ce8513d529363124c8ad1a6f67e69c5c1f74b1c768 - 0.02% (18.3 KB)

[#009] sha256:31787cb578d25b38dab0b0ea66bfca270d9c1a8ee01767cbd32a61b9c83e31c4 - 0.01% (8.48 KB)

[#010] sha256:fc209e87da8cfcd545dad9b2206679bdbcdff7fefe159e9117cf4f3cb8d8a3d0 - 5.84% (4.96 MB)

[#011] sha256:3722c84a21855e90f10f01ee456b220b60397b845f562b350412475df3de25e7 - 56.52% (47.9 MB)

[#012] sha256:b28f5d1bf2f0d709cc7fab62311884e94ad920147f47416f83d95b4e6bff3643 - 0.79% (684 KB)

[#013] sha256:819bff8ca5662193f70c6c69e4355ebed93768ede136bddf967770d7df10b114 - 6.71% (5.69 MB)

[#014] sha256:34fe3e27ba81541780655532bebc64f73dfa9f2ca0c12794ce78ddefa2e069dd - 0.0% (1.63 KB)

[#015] sha256:7d11b73e10ef3d5bbdea188dcd6019c79948daf7b3a10801effc6bfa5a170ab7 - 0.0% (373 Bytes)

[#016] sha256:2b18162b12bb1a9efbfc028b50bf5da13aeb936295545bc9b689c418b0dc18fb - 0.0% (1.97 KB)

[#017] sha256:3e2708ed04c47e422c16bd9d1dd360851040c04b4325666bfb9ed3d5cef14d28 - 0.0% (145 Bytes)


History
2022-11-12 03:49:18 UTC

/bin/sh -c #(nop) ADD file:493290ed8856fa13463defe63da0d30ab3de5dde042c87ef7c0701d66ebb8892 in /

2022-11-12 03:49:18 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-12 04:54:59 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2022-11-12 04:55:00 UTC

/bin/sh -c apk add --no-cache ca-certificates curl tar xz openssl

2022-11-12 04:55:01 UTC

/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data

2022-11-12 04:55:01 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2022-11-12 04:55:01 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2022-11-12 04:55:01 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 04:55:02 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 04:55:02 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie

2022-11-12 05:21:40 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

2023-01-06 01:03:14 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=8.0.27

2023-01-06 01:03:14 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.0.27.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.0.27.tar.xz.asc

2023-01-06 01:03:14 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

2023-01-06 01:03:21 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps

2023-01-06 01:03:21 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2023-01-06 01:11:35 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version

2023-01-06 01:11:35 UTC

/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/

2023-01-06 01:11:36 UTC

/bin/sh -c docker-php-ext-enable sodium

2023-01-06 01:11:37 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2023-01-06 01:11:37 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2023-01-06 01:11:37 UTC

/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"

2023-01-06 01:11:37 UTC

/bin/sh -c #(nop) STOPSIGNAL SIGQUIT

2023-01-06 01:11:37 UTC

/bin/sh -c #(nop) EXPOSE 9000

2023-01-06 01:11:37 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2023-01-31 20:28:06 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2023-01-31 20:28:06 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en # buildkit

2023-01-31 22:04:34 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit

2023-01-31 22:04:34 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2023-01-31 22:04:34 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.0

2023-01-31 22:04:34 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2023-01-31 22:04:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit

2023-01-31 22:04:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit

2023-01-31 22:04:54 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2023-01-31 22:04:54 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh / # buildkit

2023-01-31 22:04:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit

2023-01-31 22:04:54 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2023-01-31 22:04:54 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

Details
Created

2023-01-31 22:05:52 UTC

Size

81.8 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.0.27.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

PHP_URL

https://www.php.net/distributions/php-8.0.27.tar.xz

PHP_VERSION

8.0.27

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.0


Layers

[#000] sha256:e44ba29d168a7f7c9e914f3724614df9e070aa6ef9b9ba5c9004db3c071f403a - 2.82% (2.31 MB)

[#001] sha256:525864ff6d6c3a1a9ca039e0999c8d05701858671326bac7253a25aa21de91b9 - 1.84% (1.5 MB)

[#002] sha256:b09a62104a768e3175677dcac32aa6ba859b0b7917b110ff8fdda7c64447d13f - 0.0% (1.2 KB)

[#003] sha256:bd62154db22fa402fe200d63a35937ed4a35c102677a20c24eff0fca7ad7981d - 0.0% (222 Bytes)

[#004] sha256:eba3bc22e5a16f5646f92bce4791c1d1475034d03e1e0086a85dc8ad91262240 - 12.62% (10.3 MB)

[#005] sha256:0957b6ab57a53c6a0f4d54257bb837532a7871abd362caa257016a828934b259 - 0.0% (496 Bytes)

[#006] sha256:c10d70dcfc9710b119121df318dd983c6c67024a0cd170acd59c33ffe38cdc8a - 12.73% (10.4 MB)

[#007] sha256:6e80624f38ab914356ceece78105754c2da80bb45c0e06f49a1c77e1d2f92244 - 0.0% (2.39 KB)

[#008] sha256:64b2f41fc1d1c94ac2190b7f0a62457978285281c955cb217e33aacbc3abb46a - 0.02% (18.3 KB)

[#009] sha256:19bad679a479bec4706ef619baed70ce7d639deba3b324e3e49d0c9990534a42 - 0.01% (8.48 KB)

[#010] sha256:1454efacda7d2457a09780e508603c2587794c80cc60087833a3478f9ea471b9 - 5.78% (4.73 MB)

[#011] sha256:d84e305c501f7334c3567ff684b608e04137d024bb1c3c2cec08dd25a203953c - 56.39% (46.1 MB)

[#012] sha256:a7b2f7954b890b42f0b091aa7e3887af26b1d19f0081dd22e52490e607c40cc6 - 0.82% (684 KB)

[#013] sha256:1b4cc7eee1eadc065f7fb471a6af3656dd32b99018b9c0225e77e1a1d629b2d0 - 6.96% (5.69 MB)

[#014] sha256:22e0cce390961453a2db15046f1b08d327131564f5fe1a846da8ad0c7adda3a8 - 0.0% (1.63 KB)

[#015] sha256:684fd1973cefbc9c3cb739f85a06acb1b8fe954f760e696d201729000eff7934 - 0.0% (371 Bytes)

[#016] sha256:2b18162b12bb1a9efbfc028b50bf5da13aeb936295545bc9b689c418b0dc18fb - 0.0% (1.97 KB)

[#017] sha256:0baddbfc9c418606576654e5a4e7b15e68a69cfed33b3f568e0e5219ce5e405e - 0.0% (145 Bytes)


History
2022-11-12 03:57:24 UTC

/bin/sh -c #(nop) ADD file:0b4a628f529226f5ec9d357ca63138bd2d22411a889c780ac8d395d761e07b2c in /

2022-11-12 03:57:24 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-12 05:47:33 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2022-11-12 05:47:35 UTC

/bin/sh -c apk add --no-cache ca-certificates curl tar xz openssl

2022-11-12 05:47:35 UTC

/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data

2022-11-12 05:47:35 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2022-11-12 05:47:36 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2022-11-12 05:47:36 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 05:47:36 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 05:47:36 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie

2022-11-12 06:14:59 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

2023-01-06 01:18:42 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=8.0.27

2023-01-06 01:18:42 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.0.27.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.0.27.tar.xz.asc

2023-01-06 01:18:42 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

2023-01-06 01:18:49 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps

2023-01-06 01:18:49 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2023-01-06 01:25:28 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version

2023-01-06 01:25:28 UTC

/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/

2023-01-06 01:25:30 UTC

/bin/sh -c docker-php-ext-enable sodium

2023-01-06 01:25:30 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2023-01-06 01:25:31 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2023-01-06 01:25:31 UTC

/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"

2023-01-06 01:25:31 UTC

/bin/sh -c #(nop) STOPSIGNAL SIGQUIT

2023-01-06 01:25:31 UTC

/bin/sh -c #(nop) EXPOSE 9000

2023-01-06 01:25:31 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2023-01-31 20:28:06 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2023-01-31 20:28:06 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en # buildkit

2023-01-31 22:05:34 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit

2023-01-31 22:05:34 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2023-01-31 22:05:34 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.0

2023-01-31 22:05:34 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2023-01-31 22:05:51 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit

2023-01-31 22:05:52 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit

2023-01-31 22:05:52 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2023-01-31 22:05:52 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh / # buildkit

2023-01-31 22:05:52 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit

2023-01-31 22:05:52 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2023-01-31 22:05:52 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

Details
Created

2023-01-31 22:07:14 UTC

Size

88.7 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.0.27.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

PHP_URL

https://www.php.net/distributions/php-8.0.27.tar.xz

PHP_VERSION

8.0.27

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.0


Layers

[#000] sha256:6875df1f535433e5affe18ecfde9acb7950ab5f76887980ff06c5cdd48cf98f4 - 2.91% (2.58 MB)

[#001] sha256:76d018a6b8f2b9d3c88bb51b66bb27c7840ca587dc27d7b18ed9d29271f7a801 - 1.84% (1.64 MB)

[#002] sha256:fd698c26bd17e47cae3e287202cee1112230b8c1e3b6eff40ab1c13d26737998 - 0.0% (1.23 KB)

[#003] sha256:9d804918576056f288bba1c63c140494fb4cfd8c845d79c029e38fba1f5665ee - 0.0% (268 Bytes)

[#004] sha256:55da9516ce889293a43f52d89d667b5c3625367b5155d408961fed2f1496cce1 - 11.63% (10.3 MB)

[#005] sha256:813b20213ba6261dac9625a0dd3fe6b67bcfa01fe78bcf2783fb72d0aacc4024 - 0.0% (498 Bytes)

[#006] sha256:a65022aaf246b3649942582fb6b9f8bf084df76a3dfd89b2bae92f4e4c287809 - 13.12% (11.6 MB)

[#007] sha256:d3542ffa6b2e89e6abd6e3dd77753caa74610b53233ea868ce734ddd16b1099d - 0.0% (2.39 KB)

[#008] sha256:c059e754157269c76da6ef16aeec45be2bf1e179cc476a84302a188cd357522f - 0.02% (18.3 KB)

[#009] sha256:943ba3c522b993ca9a3756597602572561ae51b878d4226ac27814755e16e283 - 0.01% (8.48 KB)

[#010] sha256:a5aa7ea45ee0e9a15763298ab45949f73b3ec78d610524de97f087e8c4e3949c - 5.7% (5.06 MB)

[#011] sha256:519bb425b93386c0840d102aea36ccca1cda4315d3fad81cb1d61a010e027c81 - 57.59% (51.1 MB)

[#012] sha256:d528a36861154baf8d92f76d9198ebccd44fabafd0733178811f19b4ef6c7357 - 0.75% (684 KB)

[#013] sha256:124946442149109f4f97606f5385d93209358b3eedc4da32ae217be1394fd0c5 - 6.42% (5.69 MB)

[#014] sha256:0dc330e04c24179ffa1f4f36ba3535507b36ef26041ba7341572582acb4d5f0f - 0.0% (1.63 KB)

[#015] sha256:88111102913a3ec6c0070784ae200a86402c26c9a10d55318fa3e4c3133b6b18 - 0.0% (370 Bytes)

[#016] sha256:2b18162b12bb1a9efbfc028b50bf5da13aeb936295545bc9b689c418b0dc18fb - 0.0% (1.97 KB)

[#017] sha256:1cb0401cb03641901a0212013534c522ec1310d80077ad7da155f0c73e969728 - 0.0% (145 Bytes)


History
2022-11-12 03:39:38 UTC

/bin/sh -c #(nop) ADD file:57d621536158358b14d15155826ef2dd4ca034278044111ec0aaf6717016e569 in /

2022-11-12 03:39:38 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-12 04:37:59 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2022-11-12 04:38:00 UTC

/bin/sh -c apk add --no-cache ca-certificates curl tar xz openssl

2022-11-12 04:38:00 UTC

/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data

2022-11-12 04:38:01 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2022-11-12 04:38:01 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2022-11-12 04:38:01 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 04:38:01 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 04:38:01 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie

2022-11-12 05:03:38 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

2023-01-06 01:42:34 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=8.0.27

2023-01-06 01:42:34 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.0.27.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.0.27.tar.xz.asc

2023-01-06 01:42:34 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

2023-01-06 01:42:40 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps

2023-01-06 01:42:41 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2023-01-06 01:48:06 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version

2023-01-06 01:48:06 UTC

/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/

2023-01-06 01:48:07 UTC

/bin/sh -c docker-php-ext-enable sodium

2023-01-06 01:48:07 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2023-01-06 01:48:07 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2023-01-06 01:48:08 UTC

/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"

2023-01-06 01:48:08 UTC

/bin/sh -c #(nop) STOPSIGNAL SIGQUIT

2023-01-06 01:48:08 UTC

/bin/sh -c #(nop) EXPOSE 9000

2023-01-06 01:48:08 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2023-01-31 20:28:08 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2023-01-31 20:28:08 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en # buildkit

2023-01-31 22:07:03 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit

2023-01-31 22:07:03 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2023-01-31 22:07:03 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.0

2023-01-31 22:07:03 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2023-01-31 22:07:13 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit

2023-01-31 22:07:14 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit

2023-01-31 22:07:14 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2023-01-31 22:07:14 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh / # buildkit

2023-01-31 22:07:14 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit

2023-01-31 22:07:14 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2023-01-31 22:07:14 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

Details
Created

2023-01-31 22:09:48 UTC

Size

96.4 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.0.27.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

PHP_URL

https://www.php.net/distributions/php-8.0.27.tar.xz

PHP_VERSION

8.0.27

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.0


Layers

[#000] sha256:5c3a6ece62351976dfb4b56dc417aebd2a7dbda14ebac2737edd2ab43883553f - 2.77% (2.67 MB)

[#001] sha256:6194dd51b13c32835b9a76fe58f7580e66a1df8a2acea27095b556cf63b31a98 - 1.75% (1.69 MB)

[#002] sha256:12e966c695081973df431189ce4bf6ed44556dad53c642dfb26fa5c0df97e5a7 - 0.0% (1.23 KB)

[#003] sha256:9cdd33a80e474697f7ae3aeeba872662ed64ab312628cb4eaf63bd9cefb1b5a3 - 0.0% (268 Bytes)

[#004] sha256:ce14d37fb691124fa8c601e539b943db0cd6cfcc21d31cb14df921d44b9dfb06 - 10.7% (10.3 MB)

[#005] sha256:260d78827890a71877fa2b7ff4389136388327897576762d020432a07a414f8b - 0.0% (498 Bytes)

[#006] sha256:61181348159f51b96aaf094df5db361f3f3de3f4ca21208f5459755cf5ce9157 - 13.05% (12.6 MB)

[#007] sha256:607d95f53b72bfc8f2813a0033dd9c66e225da7674c6a3e0c3cab8f325de152a - 0.0% (2.39 KB)

[#008] sha256:7ee5c91d49a72e7b1ed7d23b385ef29d30225ad3f939d6f18ffd8ce9db9904c9 - 0.02% (18.3 KB)

[#009] sha256:34088e56207273c7446830dd90489522a9bad8bdd69e9a1803101790fa01b6c0 - 0.01% (8.48 KB)

[#010] sha256:51f4596b5417dd46c4901bd3fb4b96b1f6b7ae2a8d8241219c5e7be75a41f376 - 5.44% (5.24 MB)

[#011] sha256:0c9fb082a4d1f3f043e6a5b2eba3341c9754a1112d94486ecea3af56f2a924e9 - 59.66% (57.5 MB)

[#012] sha256:d551dce0247e05b492bd350d37c5034b40797fc631da1190b7b14da387d992f0 - 0.69% (684 KB)

[#013] sha256:21afd4c2cc6a8426b4e7042ae83fbf48e1d68f2917265074f7a83b5471d99ec8 - 5.9% (5.69 MB)

[#014] sha256:f461e19adddda3b861b6498050c48bdf735346fb97564311be020e1939bcd1cd - 0.0% (1.63 KB)

[#015] sha256:61142b2955d6c735b712abcdc3aea417724330ace8d6bf16840bf2a7a95789d8 - 0.0% (372 Bytes)

[#016] sha256:2b18162b12bb1a9efbfc028b50bf5da13aeb936295545bc9b689c418b0dc18fb - 0.0% (1.97 KB)

[#017] sha256:6bfd4f378dfbbc681c90c53c9d6683f140595ee513ad23e9bf599051c67e52d4 - 0.0% (144 Bytes)


History
2022-11-12 04:16:30 UTC

/bin/sh -c #(nop) ADD file:6f7965319fe0caaea57086835c0c2212284c6850f33e3c4d522c758e43acbc98 in /

2022-11-12 04:16:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-12 07:14:28 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2022-11-12 07:14:31 UTC

/bin/sh -c apk add --no-cache ca-certificates curl tar xz openssl

2022-11-12 07:14:32 UTC

/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data

2022-11-12 07:14:33 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2022-11-12 07:14:34 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2022-11-12 07:14:34 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 07:14:34 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 07:14:34 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie

2022-11-12 07:47:47 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

2023-01-06 01:03:44 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=8.0.27

2023-01-06 01:03:44 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.0.27.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.0.27.tar.xz.asc

2023-01-06 01:03:45 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

2023-01-06 01:03:54 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps

2023-01-06 01:03:54 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2023-01-06 01:14:00 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version

2023-01-06 01:14:01 UTC

/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/

2023-01-06 01:14:03 UTC

/bin/sh -c docker-php-ext-enable sodium

2023-01-06 01:14:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2023-01-06 01:14:04 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2023-01-06 01:14:05 UTC

/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"

2023-01-06 01:14:05 UTC

/bin/sh -c #(nop) STOPSIGNAL SIGQUIT

2023-01-06 01:14:06 UTC

/bin/sh -c #(nop) EXPOSE 9000

2023-01-06 01:14:06 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2023-01-31 20:28:14 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2023-01-31 20:28:14 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en # buildkit

2023-01-31 22:09:32 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit

2023-01-31 22:09:33 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2023-01-31 22:09:33 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.0

2023-01-31 22:09:33 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2023-01-31 22:09:47 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit

2023-01-31 22:09:47 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit

2023-01-31 22:09:47 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2023-01-31 22:09:47 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh / # buildkit

2023-01-31 22:09:48 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit

2023-01-31 22:09:48 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2023-01-31 22:09:48 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

Details
Created

2023-01-31 22:02:20 UTC

Size

80.4 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.0.27.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

PHP_URL

https://www.php.net/distributions/php-8.0.27.tar.xz

PHP_VERSION

8.0.27

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.0


Layers

[#000] sha256:cff16a5ffe2df97bc1d10b021c5ceb98bdb36a18a1d70395590444ac204a9b2b - 3.07% (2.47 MB)

[#001] sha256:77d900dcf97f987ab1cb475ea526ac6e9c9784703d1e1be1cd7ae1fb777a7d94 - 2.11% (1.69 MB)

[#002] sha256:6a0442afc535a74897e967e16b9e816dd275e3f0af102e3215ad2e35350d268d - 0.0% (1.23 KB)

[#003] sha256:3645d9671ef8df3e3310d7ba31ed1e48aa39751f695906393ad5b64366d9f5ee - 0.0% (269 Bytes)

[#004] sha256:dbc3fbd3847ca23a17377a7d423d7c36eac9dd48c9a77315dbcbe99e106e920d - 12.84% (10.3 MB)

[#005] sha256:a3214705b1b572d0297b8f955d223075b4bafff772bfb43a127e63bdd080265e - 0.0% (496 Bytes)

[#006] sha256:1afb204eeee97d4f8351d781b9470e5ef59c9d02386bc5777d5b6bd5e490de36 - 14.22% (11.4 MB)

[#007] sha256:31a664d7dba5356d88330d6a48da374dd3e04bcf97f8524cb42d773eeab759e2 - 0.0% (2.39 KB)

[#008] sha256:69d81a8993cebfe2454d46be9864a41fd6e1977877c2cdbdc777c18e1579a523 - 0.02% (18.3 KB)

[#009] sha256:6ec69cb3ac57c2caaad742abeedb64ae96bcbf6ba329dc43e19bb54de5d15350 - 0.01% (8.48 KB)

[#010] sha256:5b9ba4fa111b189f5b62f440765af2bedecdcc476470cea69b296a1863c0e5e2 - 6.46% (5.2 MB)

[#011] sha256:75a2e2d7e6c1d1744418922457907f8e5532bbe67442716114bed65cc3fe9449 - 53.36% (42.9 MB)

[#012] sha256:463049d82a94dac304e2df75872633462cf730afabebd976d45d0da85fec2b61 - 0.83% (684 KB)

[#013] sha256:b3d76947de904a30c427b5430290ad6f4e7a3f4872da669a8baa130c67f5b9db - 7.07% (5.68 MB)

[#014] sha256:633c97245baa6edf5f1376c529c1abee88a8b5b4820736c49a46ee112e4f7f0a - 0.0% (1.63 KB)

[#015] sha256:4826806c2fab87d45523f1816ca435401891537c4c186c81de8359cd76e80bad - 0.0% (373 Bytes)

[#016] sha256:2b18162b12bb1a9efbfc028b50bf5da13aeb936295545bc9b689c418b0dc18fb - 0.0% (1.97 KB)

[#017] sha256:976ee6bee7702fafed16b7b0e1518513048b47be012df4daa18aefd5d5f9d165 - 0.0% (145 Bytes)


History
2022-11-12 03:42:05 UTC

/bin/sh -c #(nop) ADD file:b78ae95cbacd853e398f187adaf3be51d9e301a66de8f7a4b6c60a9733075cb5 in /

2022-11-12 03:42:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-12 05:31:42 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2022-11-12 05:31:45 UTC

/bin/sh -c apk add --no-cache ca-certificates curl tar xz openssl

2022-11-12 05:31:46 UTC

/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data

2022-11-12 05:31:47 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2022-11-12 05:31:48 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2022-11-12 05:31:48 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 05:31:49 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2022-11-12 05:31:49 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie

2022-11-12 05:59:40 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 BFDDD28642824F8118EF77909B67A5C12229118F 2C16C765DBE54A088130F1BC4B9B5F600B55F3B4

2023-01-06 01:31:36 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=8.0.27

2023-01-06 01:31:36 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.0.27.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.0.27.tar.xz.asc

2023-01-06 01:31:37 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=f942cbfe2f7bacbb8039fb79bbec41c76ea779ac5c8157f21e1e0c1b28a5fc3a

2023-01-06 01:31:43 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps

2023-01-06 01:31:43 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2023-01-06 01:40:41 UTC

/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version

2023-01-06 01:40:45 UTC

/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/

2023-01-06 01:40:47 UTC

/bin/sh -c docker-php-ext-enable sodium

2023-01-06 01:40:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2023-01-06 01:40:48 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2023-01-06 01:40:50 UTC

/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"

2023-01-06 01:40:51 UTC

/bin/sh -c #(nop) STOPSIGNAL SIGQUIT

2023-01-06 01:40:52 UTC

/bin/sh -c #(nop) EXPOSE 9000

2023-01-06 01:40:52 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2023-01-31 20:28:14 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2023-01-31 20:28:14 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en # buildkit

2023-01-31 22:01:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit

2023-01-31 22:01:50 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2023-01-31 22:01:50 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.0

2023-01-31 22:01:50 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2023-01-31 22:02:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit

2023-01-31 22:02:20 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit

2023-01-31 22:02:20 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2023-01-31 22:02:20 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh / # buildkit

2023-01-31 22:02:20 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit

2023-01-31 22:02:20 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2023-01-31 22:02:20 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]